// Copyright (C) 2021 (Lilly Rosaline) <lilly.rosaline@waterlilly.dev>
// This file is part of GayPK.
//
// GayPK is non-violent software: you can use, redistribute,
// and/or modify it under the terms of the CNPLv7+ as found
// in the LICENSE file in the source code root directory or
// at <https://git.pixie.town/thufie/npl-builder>.
//
// GayPK comes with ABSOLUTELY NO WARRANTY, to the extent
// permitted by applicable law.  See LICENSE.md for details.

use std::fs::File;
use toml::value::{Array, Table};
use serde_derive::{Serialize, Deserialize};

#[derive(Serialize, Deserialize, Debug)]
pub(crate) struct Config {
    pub(crate) base_package_path: String,
    pub(crate) installation_path: String,
    pub(crate) key_verification: bool
}
impl Default for Config {
    fn default() -> Self {
        Config {
            base_package_path: "/packages".to_string(),
            installation_path: "/var/gaypk/".to_string(),
            key_verification: true
        }
    }
}
pub(crate) fn read_config() -> Config {
    toml::from_str("/cfg/gaypk/config.toml").expect("Parse failed!")
}