// Copyright (C) 2021 (Lilly Rosaline) <lilly.rosaline@waterlilly.dev>
// This file is part of GayPK.
//
// GayPK is non-violent software: you can use, redistribute,
// and/or modify it under the terms of the CNPLv7+ as found
// in the LICENSE file in the source code root directory or
// at <https://git.pixie.town/thufie/npl-builder>.
//
// GayPK comes with ABSOLUTELY NO WARRANTY, to the extent
// permitted by applicable law.  See LICENSE.md for details.

mod download;
mod query;
mod list;
mod remove;
mod repository;
mod install;
mod package;
mod config;
mod arguments;

use std::collections::HashMap;
use crate::repository::find_package_in_repositories;

fn main() {
    let args = std::env::args().collect::<Vec<String>>();
    let operation = args.get(1).expect("Not enough arguments!"); // Get the operation
    let args = args.get(2..).unwrap().to_vec();
    match operation.as_str() {
        "upgrade" | "u" => { // Will upgrade the selected package(s).
            let packages = arguments::get_package_install_list(args);
        }
        "install" | "i" => { // Install the selected package(s).
            let packages = arguments::get_package_install_list(args);
        }
        "remove" | "r" => {

        }
        "list" | "l" => {

        }
        "query" | "q" => {

        }
        "config" | "c" => {

        }
        "repository" | "repo" => {

        }
        _ => {
            panic!("Unknown operation: {}", operation);
        }
    }



}
