// Copyright (C) 2021 (Lilly Rosaline) <lilly.rosaline@waterlilly.dev>
// This file is part of GayPK.
//
// GayPK is non-violent software: you can use, redistribute,
// and/or modify it under the terms of the CNPLv7+ as found
// in the LICENSE file in the source code root directory or
// at <https://git.pixie.town/thufie/npl-builder>.
//
// GayPK comes with ABSOLUTELY NO WARRANTY, to the extent
// permitted by applicable law.  See LICENSE.md for details.

use toml::value::{Array, Table};
use serde_derive::Deserialize;

/// Represents a Package.toml file.
#[derive(Deserialize, Debug)]
pub struct PackageData {
    #[serde(rename(deserialize = "gaypk-version"))]
    pub gaypk_version: u64,
    pub name: String,
    pub version: String,
    pub revision: u64,
    pub scripts: Array,
    pub exclude: Array,
    pub dependencies: Table
}
pub fn read_package(data: String) -> PackageData {
    toml::from_str(data.as_str()).expect("Parse failed!")
}